# Gets merchandise info Gets merchandise info Endpoint: GET /merchandise/{tenantId}/public/{id} Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The tenant - `id` (string, required) The id of the merchandise ## Response 200 fields (application/json): - `additional_image_urls` (array) Additional images - `business_unit_id` (string) The biz unit - `category_ids` (array) The categories to which this product belongs - `date_added` (string) The date that this product was added to inventory - `description` (string) Product description to be displayed on the portal - `enable_special_prices` (boolean) Special prices are are enabled - `id` (string) The unique identifier of the merchandise - `image_url` (string) Image to be displayed of the product - `is_featured` (boolean) Whether this product is featured - `is_new` (boolean) Whether this product is new - `member_price` (number) The price of the product for an active member in the store currency - `modifier_options` (array) - `modifier_options.default_value` (string) The default value - `modifier_options.enable_character_restriction` (boolean) If true, the UI will restrict the number of characters - `modifier_options.id` (string, required) The id of the modifier option - `modifier_options.maximum_number_of_characters` (number) The maximum number of characters - `modifier_options.name` (string, required) The name of the modifier option - `modifier_options.required` (boolean) Whether this option is required - `modifier_options.type` (string, required) Enum: "checkbox", "date", "dropdown", "multiple choice", "text" - `modifier_options.values` (array) - `name` (string) The name of the merchandise - `price` (number, required) The price of the product in the store currency - `sellable_from` (string) Date/time from which this product is sellable - `sellable_until` (string) Date/time until which this product is sellable - `sort_order` (number) The sort order of hte product - `track_inventory` (boolean) Whether inventory is tracked - `variant_options` (array) - `variant_options.id` (string, required) The id of the variant - `variant_options.name` (string, required) The name of the variant - `variants` (array) - `variants.image_uri` (string) An optional image for this variant - `variants.member_price` (number) The member price of this variant, if different than the base - `variants.not_purchasable` (boolean) Whether or not this is purchasable - `variants.options` (array, required) The list of variant options that comprise this variant - `variants.options.option_id` (string) - `variants.options.value` (string) - `variants.price` (number) The price of this variant, if different than the base - `variants.sku` (string) The SKU ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields